Index: TXM/trunk/bundles/org.txm.annotation.core/src/org/txm/annotation/core/Messages.java
===================================================================
--- TXM/trunk/bundles/org.txm.annotation.core/src/org/txm/annotation/core/Messages.java	(revision 0)
+++ TXM/trunk/bundles/org.txm.annotation.core/src/org/txm/annotation/core/Messages.java	(revision 3815)
@@ -0,0 +1,19 @@
+package org.txm.annotation.core;
+
+import org.eclipse.osgi.util.NLS;
+import org.txm.utils.messages.Utf8NLS;
+
+public class Messages extends NLS {
+
+	public static String ErrorFailedToStopAnnotationEngineP0P1;
+	public static String FailToInitializeTheP0AnnotationEngine;
+	public static String FailToInstanciateP0P1;
+	public static String ErrorNoSuitableFileToProcessInP0;
+	
+	static {
+		// initialize resource bundle
+		Utf8NLS.initializeMessages(Messages.class);
+	}
+
+	private Messages() { }
+}

Property changes on: TXM/trunk/bundles/org.txm.annotation.core/src/org/txm/annotation/core/Messages.java
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: TXM/trunk/bundles/org.txm.annotation.core/src/org/txm/annotation/core/messages_fr.properties
===================================================================
--- TXM/trunk/bundles/org.txm.annotation.core/src/org/txm/annotation/core/messages_fr.properties	(revision 0)
+++ TXM/trunk/bundles/org.txm.annotation.core/src/org/txm/annotation/core/messages_fr.properties	(revision 3815)
@@ -0,0 +1,4 @@
+AnnotationEnginesManager_ErrorFailedToStopAnnotationEngineP0P1=Échec lors de l''arrête du moteur d'annotation ''{0}'' : {1}
+AnnotationEnginesManager_FailToInitializeTheP0AnnotationEngine=Échec lors de l''initialisation du moteur d''annotation {0}.
+AnnotationEnginesManager_FailToInstanciateP0P1=Échec de l'instanciation de {0} : {1}.
+ErrorNoSuitableFileToProcessInP0=Erreur: pas de fichier à traiter dans {0}.

Property changes on: TXM/trunk/bundles/org.txm.annotation.core/src/org/txm/annotation/core/messages_fr.properties
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: TXM/trunk/bundles/org.txm.annotation.core/src/org/txm/annotation/core/AnnotationEnginesManager.java
===================================================================
--- TXM/trunk/bundles/org.txm.annotation.core/src/org/txm/annotation/core/AnnotationEnginesManager.java	(revision 3814)
+++ TXM/trunk/bundles/org.txm.annotation.core/src/org/txm/annotation/core/AnnotationEnginesManager.java	(revision 3815)
@@ -66,12 +66,12 @@
 		for (AnnotationEngine e : values()) {
 			// System.out.println(e);
 			AnnotationEngine se = e;
-			Log.fine("Stoping " + se.getName() + " annotation engine.");
+			Log.fine("Stoping " + se.getName() + " annotation engine."); //$NON-NLS-1$ //$NON-NLS-2$
 			try {
 				se.stop();
 			}
 			catch (Exception ex) {
-				Log.severe("Error: failed to stop annotation engine: " + se.getName() + ": " + ex.getLocalizedMessage());
+				Log.severe(Messages.ErrorFailedToStopAnnotationEngineP0P1 + se.getName() + ": " + ex.getLocalizedMessage());
 			}
 		}
 		return true;
@@ -94,11 +94,11 @@
 					put(e.getName(), e);
 				}
 				else {
-					Log.warning(NLS.bind("Fail to initialize the {0} annotation engine.", e.getName()));
+					Log.warning(NLS.bind(Messages.FailToInitializeTheP0AnnotationEngine, e.getName()));
 				}
 			}
 			catch (Exception e) {
-				Log.warning(NLS.bind("Fail to instanciate {0}: {1}", contributions[i].getName(), e.getLocalizedMessage()));
+				Log.warning(NLS.bind(Messages.FailToInstanciateP0P1, contributions[i].getName(), e.getLocalizedMessage()));
 				Log.printStackTrace(e);
 			}
 		}
Index: TXM/trunk/bundles/org.txm.annotation.core/src/org/txm/annotation/core/AnnotationEngine.java
===================================================================
--- TXM/trunk/bundles/org.txm.annotation.core/src/org/txm/annotation/core/AnnotationEngine.java	(revision 3814)
+++ TXM/trunk/bundles/org.txm.annotation.core/src/org/txm/annotation/core/AnnotationEngine.java	(revision 3815)
@@ -64,23 +64,23 @@
 			
 			@Override
 			public boolean accept(File pathname) {
-				return pathname.isFile() && !pathname.isHidden() && !pathname.getName().startsWith(".") && pathname.getName().endsWith(".xml");
+				return pathname.isFile() && !pathname.isHidden() && !pathname.getName().startsWith(".") && pathname.getName().endsWith(".xml"); //$NON-NLS-1$ //$NON-NLS-2$
 			}
 		});
 		if (files == null || files.length == 0) {
-			Log.warning("Error: no suitable file to process in " + xmlFilesDirectory);
+			Log.warning(Messages.ErrorNoSuitableFileToProcessInP0 + xmlFilesDirectory);
 			return false;
 		}
 		boolean ret = true;
 		ConsoleProgressBar cpb = new ConsoleProgressBar(files.length);
 		
-		File annotDir = new File(binaryCorpusDirectory, "annotations");
+		File annotDir = new File(binaryCorpusDirectory, "annotations"); //$NON-NLS-1$
 		DeleteDir.deleteDirectory(annotDir);
 		annotDir.mkdir();
-		File ptreetaggerDir = new File(binaryCorpusDirectory, "ptreetagger");
+		File ptreetaggerDir = new File(binaryCorpusDirectory, "ptreetagger"); //$NON-NLS-1$
 		DeleteDir.deleteDirectory(ptreetaggerDir);
 		ptreetaggerDir.mkdir();
-		File treetaggerDir = new File(binaryCorpusDirectory, "treetagger");
+		File treetaggerDir = new File(binaryCorpusDirectory, "treetagger"); //$NON-NLS-1$
 		DeleteDir.deleteDirectory(treetaggerDir);
 		treetaggerDir.mkdir();
 		
Index: TXM/trunk/bundles/org.txm.annotation.core/src/org/txm/annotation/core/messages.properties
===================================================================
--- TXM/trunk/bundles/org.txm.annotation.core/src/org/txm/annotation/core/messages.properties	(revision 0)
+++ TXM/trunk/bundles/org.txm.annotation.core/src/org/txm/annotation/core/messages.properties	(revision 3815)
@@ -0,0 +1,4 @@
+AnnotationEnginesManager_ErrorFailedToStopAnnotationEngineP0P1=Error: failed to stop the ''{0}'' annotation engine: {1}.
+AnnotationEnginesManager_FailToInitializeTheP0AnnotationEngine=Fail to initialize the {0} annotation engine.
+AnnotationEnginesManager_FailToInstanciateP0P1=Fail to instanciate {0}: {1}.
+ErrorNoSuitableFileToProcessInP0=Error: no suitable file to process in {0}.

Property changes on: TXM/trunk/bundles/org.txm.annotation.core/src/org/txm/annotation/core/messages.properties
___________________________________________________________________
Added: svn:mime-type
   + text/plain

